package de.htwsaar.webshop.config;

import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.CorsRegistry;
import org.springframework.web.servlet.config.annotation.EnableWebMvc;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Configuration
@EnableWebMvc
public class WebConfig implements WebMvcConfigurer {

    @Override
    public void addCorsMappings(CorsRegistry registry) {
        registry.addMapping("/**")
                .allowedOrigins("http://localhost:5173") // Erlaube Anfragen von der Frontend-Domain
                .allowedMethods("GET", "POST", "PUT", "DELETE", "OPTIONS") // Erlaube spezifische HTTP-Methoden
                .allowedHeaders("*") // Erlaube alle Header
                .allowCredentials(true); // Erlaube Cookies
    }
}
